import request from "@/utils/request";



export function getSchedulePatientList(params) {
  return request({
    url: "/api/hispatient/list",
    method: "get",
    params:params
  });
}


export function getPatientInfo(params) {
  return request({
    url: "/api/hispatient/get",
    method: "get",
    params:params
  });
}


export function createCaseHistory(params) {
  return request({
    url: "/api/doctorworkstation/casehistory/create",
    method: "post",
    params:params
  });
}







export function getInitData(params) {
  return request({
    url: "/api/hisprescription/config",
    method: "get",
    params:params
  });
}


export function getDoctors() {
  return request({
    url: "/api/admin/get",
    method: "get",
  });
}



export function createHisPrescription(data, params) {
  return request({
    url: "/api/hisprescription/create",
    method: "post",
    data:data,
    params:params,
  });
}



export function register(params) {
  return request({
    url: "/api/register/get",
    method: "get",
    params:params,
  });
}

export function upload(params) {
  return request({
    url: "/api/upload/get",
    method: "get",
    params:params,
  });
}








