import request from "@/utils/request";

export function saveProject(params){

    return request({
        url:"/api/his/saveproject",
        methods:"get",
        params:params,
    })
}


export function getProjectList(params){
   
    return request({
       url:"/api/his/getprojectlist",
       methods:"get",
       params:params
    })
}

export function getProjectDetail(id,params){
  
    return request({
       url:"/api/his/getprojectdetail?id="+id,
       methods:"get",
       params:params
    })
}

export function updatedProject(params){
   
   return request({
      url:"/api/his/updatedproject",
      methods:"get",
      params:params
   })
}

export function deleteHisProject(id,params){
   
    return request({
      url:"/api/his/deletehisproject?id="+id,
      methods:"get",
      params:params
    })
}

export function saveProjectTeam(params){
  
   return request({
     url:"/api/his/saveprojectteam",
     methods:"Get",
     params:params
   })
}

export function getProjectTeamList(params){
  
    return request({
       url:"/api/his/getprojectteamlist",
       methods:"get",
       params:params
    })
}

export function getProjectTeamDetail(id,params){
   
    return request({
       url:"/api/his/getprojectteamdetail?id="+id,
       methods:"get",
       params:params
    })
}

export function updatedProjectTeam(params){
  
    return request({
       url:"/api/his/updateprojectteam",
       methods:"get",
       params:params
    })
}

export function DeleteProjectTeam(id,params){
   
  return request({
      url:"/api/his/deleteprojectteam?id="+id,
      methods:"get",
      params:params
  })
}

export function SaveDepartment(params){
  
    return request({
       url:"/api/his/savedepartment",
       methods:"get",
       params:params
    })
}

export function getDePartmentList(params){
  
    return request({
       url:"/api/his/getdepartmentlist",
       methods:"Get",
       params:params
    })
}

export function getDepartMentDetail(id,params){
  
    return request({
        url:"/api/his/getdepartmentdetail?id="+id,
        methods:"get",
        params:params
    })
}

export function UpdatedDepartment(params){
   
    return request({
        url:"/api/his/updagtedepartment",
        methods:"get",
        params:params
    })
}

export function DeleteDepartment(id,params){
    return request({
       url:"/api/his/deletedeparment?id="+id,
       methods:"get",
       params:params
    })
}


export function getPatientList(params){
   return request({
       url:"/api/his/getbloodpatient",
       methods:"get",
       params:params
   })
}

export function getHisPrescription(id,params){
   
    return request({
       url:"/api/his/gethisprescription?id="+id,
       methods:"get",
       params:params
    })
}

export function saveCharges(data){
    
    return request({
       url:"/api/his/additionalcharge",
       method:"post",
       data:data
    })
}


export function getAllProjectList(params){
    return request({
       url:"/api/his/getallprojectlist",
       methods:"get",
       params:params
    })
}

export function addProjectList(params){
  
    return request({
       url:"/api/his/addprojectlist",
       methods:"get",
       params:params
    })
}

export function getPatientInformation(id,params){
   
   return request({
     url:"/api/his/getpatientinformation?id="+id,
     methods:"Get",
     params:params
   })
}

export function DeleteProject(id,params){
   
    return request({
       url:"/api/his/deleteproject?id="+id,
       methods:"Get",
       params:params
    })
}


export function getHisProject(params){
  
    return request({
       url:"/api/his/gethisproject",
       methods:"get",
       params:params
    })
}

export function addProjectTeam(params){
   
  return request({
      url:"/api/his/getprojectteam",
      methods:"Get",
      params:params
  })
}

export function getAllDoctorList(params){
   
  return request({
      url:"/api/his/getalldoctorlist",
      methods:"Get",
      params:params
  })
} 

export function saveHisPatient(params){
   
    return request({
        url:"/api/his/savehispatient",
        methods:"get",
        params:params
    })
}

export function getAllProjectTeam(params){
  
  return request({
     url:"/api/hist/getallprojecteam",
     methods:"get",
     params:params
  })
}

export function getPojectListById(params){
  
  return request({
    url:"/api/his/getprojectlistbyid",
    methods:"get",
    params:params 
  })
}

export function getHisPatientHistory(params){
  
    return request({
        url:"/api/his/gethispatienthistory",
        methods:"get",
        params:params
    })
}


export function changePatient(id,params){
   
    return request({
      url:"/api/patient/changepatient?id="+id,
      method:"get",
      params:params
    })
  }